Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.hierarchy
Class HierarchyNavigator

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.component.NestableComponentSupport
              com.tonbeller.wcf.catedit.CategoryEditor
                  com.tonbeller.jpivot.navigator.hierarchy.HierarchyNavigator

All Implemented Interfaces:
  ModelChangeListener, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, com.tonbeller.wcf.catedit.CategoryModelChangeListener, com.tonbeller.wcf.changeorder.ChangeOrderModel, com.tonbeller.wcf.component.Component, com.tonbeller.wcf.component.Form, com.tonbeller.wcf.component.FormListener, com.tonbeller.wcf.component.LifeCycle, com.tonbeller.wcf.component.NestableComponent, com.tonbeller.wcf.component.Renderable, com.tonbeller.wcf.component.RoleExprHolder, com.tonbeller.wcf.component.Visible, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class HierarchyNavigator

extends com.tonbeller.wcf.catedit.CategoryEditor
implements ModelChangeListener, Available

Navigation dialog

Author:
  av

Nested Class Summary
`class` | `HierarchyNavigator.CancelHandler`
`class` | `HierarchyNavigator.OkHandler`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`HierarchyNavigator(java.lang.String id, com.tonbeller.wcf.component.Component parent, OlapModel olapModel)` Constructor for HierNavigator.

Method Summary
`HierarchyItem` | `findHierarchyItem(Hierarchy hier)` finds the HierarchyItem for `hier`
`com.tonbeller.wcf.controller.RequestListener` | `getAcceptHandler()`
`MemberDeleter` | `getDeleterExtension()`
`PlaceHierarchiesOnAxes` | `getHierarchyExtension()` Returns the hierExtension.
`HierarchyItemClickHandler` | `getHierarchyItemClickHandler()` Returns the hierarchyItemClickHandler.
`PlaceMembersOnAxes` | `getMemberExtension()` Returns the memberExtension.
`OlapModel` | `getOlapModel()` Returns the olapModel.
`com.tonbeller.tbutils.res.Resources` | `getRes()`
`com.tonbeller.wcf.controller.RequestListener` | `getRevertHandler()`
`java.util.Set` | `getSlicerDimensions()` returns the set of dimensions that are currently on the slicer axis.
`ChangeSlicer` | `getSlicerExtension()` Returns the slicerExtension.
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context)`
`boolean` | `isAvailable()` return true, if this component currently can be used
`boolean` | `isEditing()` true if the user has changed the axis/hierarchy mapping.
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`org.w3c.dom.Element` | `render(com.tonbeller.wcf.controller.RequestContext context, org.w3c.dom.Document factory)`
`void` | `setEditing(boolean editing)`
`void` | `setHierarchyItemClickHandler(HierarchyItemClickHandler hierarchyItemClickHandler)` Sets the hierarchyItemClickHandler.
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.wcf.catedit.CategoryEditor
`categoryModelChanged, getCategoryRenderer, getChangeCategoryButtonElementName, getItemRenderer, getModel, getRootElementName, mayMove, move, setCategoryRenderer, setChangeCategoryButtonElementName, setItemRenderer, setModel, setRootElementName`

Methods inherited from class com.tonbeller.wcf.component.NestableComponentSupport
`render`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, destroy, getBookmarkState, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, revert, setAutoValidate, setBookmarkState, setId, setNextView, setParent, setRoleExpr, setVisible, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Component
`getParent, isListeningTo, setNextView`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy`

Constructor Detail

### HierarchyNavigator

    public HierarchyNavigator(java.lang.String id,
                              com.tonbeller.wcf.component.Component parent,
                              OlapModel olapModel)

  Constructor for HierNavigator.

Method Detail

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context)
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `initialize` in class `com.tonbeller.wcf.catedit.CategoryEditor`
  Throws:
    `java.lang.Exception`

### getHierarchyExtension

    public PlaceHierarchiesOnAxes getHierarchyExtension()

  Returns the hierExtension.

  Returns:
    PlaceHierarchiesOnAxes

### getHierarchyItemClickHandler

    public HierarchyItemClickHandler getHierarchyItemClickHandler()

  Returns the hierarchyItemClickHandler.

  Returns:
    HierarchyItemClickHandler

### getMemberExtension

    public PlaceMembersOnAxes getMemberExtension()

  Returns the memberExtension.

  Returns:
    PlaceMembersOnAxes

### getDeleterExtension

    public MemberDeleter getDeleterExtension()

### getOlapModel

    public OlapModel getOlapModel()

  Returns the olapModel.

  Returns:
    OlapModel

### getSlicerExtension

    public ChangeSlicer getSlicerExtension()

  Returns the slicerExtension.

  Returns:
    ChangeSlicer

### isEditing

    public boolean isEditing()

  true if the user has changed the axis/hierarchy mapping.

  Returns:
    boolean

### render

    public org.w3c.dom.Element render(com.tonbeller.wcf.controller.RequestContext context,
                                      org.w3c.dom.Document factory)
                               throws java.lang.Exception

  Specified by:
    `render` in interface `com.tonbeller.wcf.component.NestableComponent`
  Overrides:
    `render` in class `com.tonbeller.wcf.catedit.CategoryEditor`
  Throws:
    `java.lang.Exception`

### setEditing

    public void setEditing(boolean editing)

### setHierarchyItemClickHandler

    public void setHierarchyItemClickHandler(HierarchyItemClickHandler hierarchyItemClickHandler)

  Sets the hierarchyItemClickHandler.

  Parameters:
    `hierarchyItemClickHandler` - The hierarchyItemClickHandler to set

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

### findHierarchyItem

    public HierarchyItem findHierarchyItem(Hierarchy hier)

  finds the HierarchyItem for `hier`

  Parameters:
    `hier` - the Hierarchy
  Returns:
    null or the HierarchyItem

### getAcceptHandler

    public com.tonbeller.wcf.controller.RequestListener getAcceptHandler()

### getRevertHandler

    public com.tonbeller.wcf.controller.RequestListener getRevertHandler()

### getSlicerDimensions

    public java.util.Set getSlicerDimensions()

  returns the set of dimensions that are currently on the slicer axis. This includes those dimensions that the user has moved to the slicer in the navigator but not yet committed by pressing the OK button.

  Returns:
    empty set if this component has not been rendered yet

### getRes

    public com.tonbeller.tbutils.res.Resources getRes()

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `Available`
  return true, if this component currently can be used

  Specified by:
    `isAvailable` in interface `Available`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD